Skip to content
Start here

Delete a live input

client.stream.liveInputs.delete(stringliveInputIdentifier, LiveInputDeleteParams { account_id } params, RequestOptionsoptions?): void
DELETE/accounts/{account_id}/stream/live_inputs/{live_input_identifier}

Prevents a live input from being streamed to and makes the live input inaccessible to any future API calls.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Stream Write
ParametersExpand Collapse
liveInputIdentifier: string

A unique identifier for a live input.

maxLength32
params: LiveInputDeleteParams { account_id }
account_id: string

Identifier.

maxLength32

Delete a live input

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

await client.stream.liveInputs.delete('66be4bf738797e01e1fca35a7bdecdcd', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});
{}
Returns Examples
{}